@import "~@JohnLewisPartnership/jl-design-system/dist/scss/core/type_vf";

.main {
  .h1 {
    text-align: center;
    margin-bottom: 0;
  }
}

.section {
  display: grid;
  grid-template-columns: 2fr 1fr;
  gap: 0.2rem;
  margin: 1rem;
  align-items: center;
  padding: 1rem;
  background-color: var(--information-40);
  border-radius: 0.5rem;

  > .advanceElements {
    display: grid;
    grid-template-columns: 2fr 1fr;
    gap: 0.2rem;
    grid-column: 1/3;
    align-items: center;
    margin-top: 1rem;
    opacity: 1;
    height: auto;
  }

  > .hideAdvanceElements {
    visibility: hidden;
    overflow: hidden;
    max-height: 0;
  }

  > .sectionTitle {
    display: flex;
    grid-column: 1/3;
    font-size: var($heading-s);
    align-items: center;
    margin-bottom: 0.5rem;
  }
}

.title {
  @include display-as-vf($heading-xs);
  margin-right: 0.5rem;

  > .tooltip {
    position: relative;
    margin-left: 0.6rem;
    top: 0.5rem;
  }
}

.input,
.input:focus,
.input:hover {
  border-radius: 0.5rem;
}

.input {
  background-color: var(--information-10);
  border: 1px solid #6b6b6b;
  border-radius: 0;
  box-sizing: border-box;
  color: var(--grey-60);
  font-family: inherit;
  font-size: 1rem;
  font-weight: 400;
  height: 3rem;
  letter-spacing: 0.1px;
  padding-left: 0.8rem;
  padding-bottom: 0px;
  transition: border-color 0.4s;
  width: 100%;
}

@media (min-width: 768px) {
  .form {
    display: grid;
    gap: 1rem;
    grid-template-columns: 1fr 1fr;
    margin: 1rem;
    grid-template-areas:
      "inputs result"
      "advance result"
      "advance result"
      ". result"
      ". result";
    align-items: start;
  }

  .section {
    margin: 0;
  }

  .h1 {
    grid-column: 1/3;
  }

  .section:nth-of-type(1) {
    grid-column: 1/2;
    grid-area: inputs;
  }

  .section:nth-of-type(2) {
    grid-column: 1/2;
    grid-area: advance;
  }

  .section:nth-of-type(3) {
    grid-area: result;
    grid-column: 2/3;
    grid-row: 1/3;
  }
}

@media (min-width: 1220px) {
  .form {
    margin: 0;
  }
}
